AbstractJmsTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.transformers.AbstractJmsTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.transformers
Class AbstractJmsTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.transport.jms.transformers.AbstractJmsTransformer

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, DiscoverableTransformer, Transformer

Direct Known Subclasses:
  JMSMessageToObject, ObjectToJMSMessage

    public abstract class AbstractJmsTransformer

extends AbstractMessageAwareTransformer
implements DiscoverableTransformer

`AbstractJmsTransformer` is an abstract class that should be used for all transformers where a JMS message will be the transformed or transformee object. It provides services for compressing and uncompressing messages.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractJmsTransformer()`

Method Summary
`int` | `getPriorityWeighting()` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`protected Session` | `getSession()`
`protected void` | `setJmsProperties(MuleMessage message, Message msg)`
`void` | `setPriorityWeighting(int priorityWeighting)` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`protected Object` | `transformFromMessage(Message source, String encoding)`
`protected Message` | `transformToMessage(MuleMessage message)`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported, transform`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractJmsTransformer

    public AbstractJmsTransformer()

Method Detail

### transformToMessage

    protected Message transformToMessage(MuleMessage message)
                                  throws TransformerException

  Throws:
    `TransformerException`

### transformFromMessage

    protected Object transformFromMessage(Message source,
                                          String encoding)
                                   throws TransformerException

  Throws:
    `TransformerException`

### setJmsProperties

    protected void setJmsProperties(MuleMessage message,
                                    Message msg)
                             throws JMSException

  Throws:
    `JMSException`

### getSession

    protected Session getSession()
                          throws TransformerException,
                                 ConnectException,
                                 JMSException

  Throws:
    `TransformerException`
    `ConnectException`
    `JMSException`

### getPriorityWeighting

    public int getPriorityWeighting()

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `getPriorityWeighting` in interface `DiscoverableTransformer`
  Returns:
    the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

### setPriorityWeighting

    public void setPriorityWeighting(int priorityWeighting)

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `setPriorityWeighting` in interface `DiscoverableTransformer`
  Parameters:
    `priorityWeighting` - the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.